Bug 851223 - "Failed to load children for node" error message on GUI
"Failed to load children for node" error message on GUI
Status: NEW
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.5
i386 Linux
medium Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-08-23 10:17 EDT by Armine Hovsepyan
Modified: 2015-09-02 20:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
CannotLoadChildrenForNode (89.19 KB, image/png)
2012-08-23 10:17 EDT, Armine Hovsepyan
no flags Details
server.log (7.00 KB, text/x-log)
2012-08-23 10:17 EDT, Armine Hovsepyan
no flags Details

  None (edit)
Description Armine Hovsepyan 2012-08-23 10:17:12 EDT
Created attachment 606609 [details]
CannotLoadChildrenForNode

Description of problem:
Sometimes while clicking on infinispan resource red error with text "Failed to load children for node" is being thrown on GUI. 

Version-Release number of selected component (if applicable):
JON 3.1.1 ER3

How reproducible:
just twice - both in IE8

Steps to Reproduce:
1. Start eap server and inventory in jon
2. click on infinispan resource in resources tree
3.
  
Actual results:
Exception is being shown on GUI

Expected results:
No exception is shown on GUI

Additional info:
Please get attached the screenshot and fragment form log. Couldn't reproduce by my own, was visible just twice and with no special case.
Comment 1 Armine Hovsepyan 2012-08-23 10:17:31 EDT
Created attachment 606610 [details]
server.log
Comment 2 Jay Shaughnessy 2012-08-23 17:25:48 EDT
There isn't much to go on.  The error was generated on the server, the GUI is just reporting the failure.

The attached server log doesn't show much, I'm not sure if there was more context before or after the exception.  But it looks like some sort of network glitch or something.  We need to figure out if this is related to this one type of call or just endemic to the environment.
Comment 3 Armine Hovsepyan 2012-08-24 04:01:49 EDT
Hi Jay,

Same exception has been thrown on click of EAP_Server on UI. There was no other exception visible in logs. Will update the BZ with comment in case of reproduction with more "informative" log.

Note You need to log in before you can comment on or make changes to this bug.